package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 商品类型
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum GoodTypeEnum implements BaseEnum<String, GoodTypeEnum> {
    VIP("VIP","开通会员"),
    PRACTICE("PRACTICE","陪练课购买"),
    LIVE("LIVE","直播课购买"),
    VIDEO("VIDEO","视频课购买"),
    MUSIC("MUSIC","单曲点播")
    ;
    @EnumValue
    private String code;
    private String msg;

    GoodTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

}
